<?php

/**
 * @file
 * Administrative page callbacks for the bablic module.
 */

/**
 * Implements hook_admin_settings() for module settings configuration.
 */
function bablic_admin_settings_form($form_state) {
   
  $form['account'] = array(
    '#type' => 'hidden',
	'#default_value' => variable_get('bablic_account', ''),
  );
  $form['account_login'] = array(
    '#type' => 'button',
	'#post_render' =>  array('renderStuff'),
    '#value'  => t('Bablic connect'),
  );
  return $form;  
}

/**
 * Implements _form_validate().
 */
function bablic_admin_settings_form_validate($form, &$form_state) {

  // Trim some text values.
  $form_state['values']['account'] = trim($form_state['values']['account']);  

  if (!preg_match('/^[0-9a-f]{24}$/', $form_state['values']['account'])) {
    form_set_error('account', t('A valid Bablic ID is case sensitive 24 length hexa string.'));
  }
  variable_set('bablic_account',$form_state['values']['account']);
  
  
}

function renderStuff($element,$children){
   return $element . '<script src="https://www.bablic.com/js/bablicSDK.js"></script><script src="https://www.bablic.com/js/drupalAdmin.js"></script>';
}

